Endpoints that provide information about investments.
Get investments
Retrieves information about investments.
Authorisation Requirements
This endpoint requires a valid Transact access token with:
FIRMorNETWORKorINVESTMENT_MANAGERrolemetadata.readscope
query Parameters
cursorOpaque cursor to the result page to include in the response. Appropriate values for this field may be retrieved
from a response object's first, prev, next, last, and self fields.
investment_idsThe list of investment IDs to filter on.
isinsThe list of ISINs to filter on.
Headers
Transact-Api-VersionThe targeted API version. This must be set to the current version of the API.
AuthorizationTransact access token, provided using the Bearer HTTP authentication scheme.
Get investments › Responses
Retrieved Successfully.
The list of investments.
selfPagination cursor pointing to the current page.
firstPagination cursor pointing to the first page.
prevPagination cursor pointing to the previous page.
nextPagination cursor pointing to the next page.
lastPagination cursor pointing to the last page.
Object containing the applied query filters.
Get an investment
Retrieves information about an investment.
Authorisation Requirements
This endpoint requires a valid Transact access token with:
FIRMorNETWORKorINVESTMENT_MANAGERrolemetadata.readscope
path Parameters
investment_id^IP[0-9]{8}$ · requiredTransact's unique identifier for the investment.
Headers
Transact-Api-VersionThe targeted API version. This must be set to the current version of the API.
AuthorizationTransact access token, provided using the Bearer HTTP authentication scheme.
Get an investment › Responses
Retrieved successfully.
id^IP[0-9]{8}$ · requiredTransact's unique identifier for the investment.
nameThe investment name.
isinThe International Securities Identification Number of the investment, in accordance with the ISO 6166 standard.

